#!/usr/bin/env python

from __future__ import annotations

import os

from collections.abc import Collection

import setuptools


def install_requires() -> Collection[str]:
    with (open("requirements.txt", "r") as f):
        return f.read().splitlines()


if (__name__ == "__main__"):
    setuptools.setup(
        name="{{ name }}",
        version=os.environ.get("BUILD_ARG_VERSION", "0.0.dev"),
        author="Vladyslav Kazakov",
        author_email="kazakov1048576@gmail.com",
        url="{{ repo_url }}",
        install_requires=install_requires(),
        package_data={{ package_data | tojson(indent=4) | replace("\n", "\n        ") }},
        package_dir={{ package_dir | tojson(indent=4) | replace("\n", "\n        ") }},
        packages=setuptools.find_packages("./lib/"),
        entry_points={{ entry_points | tojson(indent=4) | replace("\n", "\n        ") }},
        scripts={{ scripts | tojson(indent=8) | replace("\n", "\n        ") }},
        license="MIT"
    )
